[POST] .../v1/pos/doccheque/getcurrent
Returns information about current cheque. Use this method to retrieve the current open or paying POS cheque for the current accepted cashier and current cash shift. The method does not require a request body, resolves the current request user, loads the active POS session and returns result with the matching Cheque array. Business errors such as missing accepted cash register, missing current shift, multiple active cheques, lookup failures and persistent storage errors are returned as HTTP 200 ErrorResult business errors.
Request Parameters
No request body.
Request Example
{}
Response Parameters
| Name | Type | Description |
|---|---|---|
| ok | Boolean | Indicates whether the request completed successfully. |
| result | Array of Cheque | Result object. |
Response Example
{
"ok": true,
"result": [
{
"amount": 1.0,
"amount2": 1.0,
"card": {
"barcode_type": {
"id": 1,
"last_update": 1,
"name": "string"
},
"barcode_value": "string",
"bonus_amount": 1.0,
"customer": {
"address": "string",
"date_of_birth": "string",
"debt": 1.0,
"deleted_mark": true,
"description": "string",
"email": "string",
"fields": [
{
"data_type": "string",
"is_custom": true,
"key": "string",
"metadata": "string",
"name": "string",
"required": true,
"value": "string"
}
],
"first_name": "string",
"full_name": "string",
"group": {
"child_count": 1,
"id": 1,
"last_update": 1,
"name": "string",
"parent_id": 1
},
"id": 1,
"last_name": "string",
"last_purchase": 1,
"last_update": 1,
"main_phone": "string",
"middle_name": "string",
"phones": "string",
"refer_id": 1,
"region": {
"id": 1,
"last_update": 1,
"name": "string",
"parent_id": 1
},
"sex": "none"
},
"date": 1,
"enabled": true,
"expiry_date": "string",
"group": {
"child_count": 1,
"id": 1,
"last_update": 1,
"name": "string",
"parent_id": 1
},
"id": 1,
"last_purchase": 1,
"last_update": 1,
"promo": {
"active": true,
"days": [
1
],
"description": "string",
"end_date": "string",
"end_time": "string",
"id": 1,
"last_update": 1,
"name": "string",
"priority": 1,
"start_date": "string",
"start_time": "string",
"sub_type": 1,
"type": {
"id": 1,
"last_update": 1,
"name": "string"
}
},
"unlimited": true
},
"card_discount_percent": 1.0,
"card_id": 1,
"cashier": {
"active": true,
"address": "string",
"can_authorize": true,
"date_of_birth": "string",
"description": "string",
"email": "string",
"enable_hints": true,
"fields": [
{
"data_type": "string",
"is_custom": true,
"key": "string",
"metadata": "string",
"name": "string",
"required": true,
"value": "string"
}
],
"first_name": "string",
"full_name": "string",
"id": 1,
"internal_phone": "string",
"language_code": "string",
"last_name": "string",
"last_update": 1,
"login": "string",
"main_phone": "string",
"middle_name": "string",
"phones": "string",
"photo_url": "string",
"seller_barcode": "string",
"sex": "none",
"sub": "string",
"system": true,
"user_group": {
"child_count": 1,
"id": 1,
"last_update": 1,
"name": "string",
"parent_id": 1
}
},
"cashier_id": 1,
"code": "string",
"date": 1,
"debt_payment": true,
"debt_uuid": "00000000-0000-0000-0000-000000000000",
"doc_order_delivery_id": 1,
"is_return": true,
"payments_amount": 1.0,
"refund_info": {
"datetime": "2026-01-01T00:00:00Z",
"fiscal_sign": "string",
"qrcode_url": "string",
"receipt_no": "string",
"terminal_id": "string"
},
"return_reason": {
"description": "string",
"enabled": true,
"id": 1,
"last_update": 1,
"name": "string"
},
"seller": {
"active": true,
"address": "string",
"can_authorize": true,
"date_of_birth": "string",
"description": "string",
"email": "string",
"enable_hints": true,
"fields": [
{
"data_type": "string",
"is_custom": true,
"key": "string",
"metadata": "string",
"name": "string",
"required": true,
"value": "string"
}
],
"first_name": "string",
"full_name": "string",
"id": 1,
"internal_phone": "string",
"language_code": "string",
"last_name": "string",
"last_update": 1,
"login": "string",
"main_phone": "string",
"middle_name": "string",
"phones": "string",
"photo_url": "string",
"seller_barcode": "string",
"sex": "none",
"sub": "string",
"system": true,
"user_group": {
"child_count": 1,
"id": 1,
"last_update": 1,
"name": "string",
"parent_id": 1
}
},
"seller_id": 1,
"session_code": "string",
"session_uuid": "00000000-0000-0000-0000-000000000000",
"status": "Opened",
"uuid": "00000000-0000-0000-0000-000000000000"
}
]
}